Bug 17069 - ATI M4 video on LCD not defaulting to 60Hz
ATI M4 video on LCD not defaulting to 60Hz
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
: 15190 16533 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2000-08-29 08:46 EDT by Dan Taylor
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-01-29 16:17:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
XF86Config-4 for 1024x LCD (1.90 KB, text/plain)
2000-12-05 09:50 EST, Dan Taylor
no flags Details
XF86Config-4 for 1280x LCD (1.28 KB, text/plain)
2000-12-05 09:50 EST, Dan Taylor
no flags Details
XF86Config-4 for 1280x LCD (1.28 KB, text/plain)
2000-12-05 09:50 EST, Dan Taylor
no flags Details
XF86Config-4 for 1400x LCD (1.28 KB, text/plain)
2000-12-05 09:51 EST, Dan Taylor
no flags Details
XF86Config-4 for 1600x LCD (1.43 KB, text/plain)
2000-12-05 09:52 EST, Dan Taylor
no flags Details

  None (edit)
Description Dan Taylor 2000-08-29 08:46:27 EDT
Dell Inspiron 8000 w/ ATI M4 video & sxga+ 1400x1050 LCD
RC2 + updated kudzu, Xconfigurator, + XFree86

When running Xconfigurator, if you let it probe, it wants to run 
1024x768x8bit color which will not work.  
If you manually select the 1400x1050, the sample X screen looks ok, 
however, when you save the configuration & startx, the screen is garbled.  
Manually editing the XF86Config-4 file the vertical refresh is set to 
70Hz.  If you change it to 60Hz, it works fine.
Comment 1 Trond Eivind Glomsrxd 2000-08-29 10:35:01 EDT
Probe is not a good solution for it (known, will be fixed in Xconfigurator
rewrite). As for the difference is between the sample screen and the final
screen, there shouldn't be any so I would love to know.

What do you change in the file?
Comment 2 Dan Taylor 2000-08-29 10:40:07 EDT
The only thing I edit is the vertical refresh & change from 70Hz to 60Hz
Comment 3 Trond Eivind Glomsrxd 2000-08-29 11:00:22 EDT
Exactly what do you change? What are the original lines, what are the new 
Comment 4 Dan Taylor 2000-08-29 13:10:28 EDT
Hmmm well it looks like I may have listed a bit of mis-information (sorry...), 
but I am not able to repeat exactly as above today.

When NOT probing, and choosing the Generic 1400X LCD, when you get to the 
selection process for resolution & color depth, 1400x1050 is not an option.  I 
can choose 1024x768 or 1280x1024 and when the test comes up it is distorted 
however, you can still click the yes button to accept it.  Then edit the 
XF86Config-4 and change:

"VertRefresh" from 50-70 to 50-60

AND Change Screen section to look like this:

	DefaultDepth 32
	Subsection "Display"
		Depth 32
		Modes "1400x1054"

Comment 5 Trond Eivind Glomsrxd 2000-09-26 17:57:32 EDT
Would this change in general be a good thing for this LCD screen? We don't have
access to any hardware like this...
Comment 6 Matt Wilson 2000-10-25 15:02:24 EDT
*** Bug 15190 has been marked as a duplicate of this bug. ***
Comment 7 Matt Wilson 2000-10-25 15:02:36 EDT
*** Bug 16533 has been marked as a duplicate of this bug. ***
Comment 8 Trond Eivind Glomsrxd 2000-12-04 17:41:12 EST
Comment 9 Dan Taylor 2000-12-05 09:49:06 EST
Sorry for the lack of updates on my part.  60Hz is ok on most of our LCD's.  At 
this point I have received more hardware to work with that is not prototype.  
It looks like we have to add custom mode lines to get some of these LCD's 
working now.  Also, I understand this driver is not supposed to work with 32bit 
color depth.  I will attach all the XF86Config-4 files for our different panel 
Comment 10 Dan Taylor 2000-12-05 09:50:06 EST
Created attachment 6050 [details]
XF86Config-4  for 1024x LCD
Comment 11 Dan Taylor 2000-12-05 09:50:47 EST
Created attachment 6051 [details]
XF86Config-4  for 1280x LCD
Comment 12 Dan Taylor 2000-12-05 09:51:33 EST
Created attachment 6053 [details]
XF86Config-4  for 1400x LCD
Comment 13 Dan Taylor 2000-12-05 09:52:07 EST
Created attachment 6054 [details]
XF86Config-4  for 1600x LCD
Comment 14 Preston Brown 2001-01-29 14:00:03 EST
Dan: I'm adding entries for these monitors to the monitor database, but would
you possibly be able to provide me with a windows .inf for these monitors or at
least the EDID ID strings associated with each monitor?  This would greatly aid
in autoprobing.
Comment 15 Preston Brown 2001-02-08 12:50:18 EST
monitor definitions added.

Note You need to log in before you can comment on or make changes to this bug.